SystemOrganization addCategory: #'Pier-Usefull-Commands'!

PRCommand subclass: #PRARemoveChildren
	instanceVariableNames: 'childrenToRemove'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Usefull-Commands'!

!PRARemoveChildren class methodsFor: 'accessing-description' stamp: 'dc 1/3/2006 06:07'!
descriptionChildrenToRemove
	^ (MAMultipleOptionDescription selector: #childrenToRemove label: 'Children to remove')
		options: (MADynamicObject on: [PRAllVisibleChildren in: PRCurrentContext value structure]);
		reference: PRStructureDescription new;
		yourself! !

!PRARemoveChildren class methodsFor: 'testing' stamp: 'dc 1/2/2006 21:58'!
isAbstract
	^ false! !

!PRARemoveChildren class methodsFor: 'testing' stamp: 'dc 1/2/2006 22:01'!
isValidIn: aContext
	^ (super isValidIn: aContext)
		and: [ aContext structure hasChildren ]! !

!PRARemoveChildren class methodsFor: 'accessing' stamp: 'dc 1/2/2006 22:04'!
structureClass
	^ PRPage! !

!PRARemoveChildren methodsFor: 'accessing' stamp: 'dc 1/2/2006 21:52'!
childrenToRemove
	^ childrenToRemove! !

!PRARemoveChildren methodsFor: 'accessing' stamp: 'dc 1/2/2006 21:52'!
childrenToRemove: aCollection 
	childrenToRemove := aCollection! !

!PRARemoveChildren methodsFor: 'events' stamp: 'dc 1/3/2006 06:11'!
doExecute
	super doExecute.
	self childrenToRemove do: [:child |
		(PRRemoveCommand context: (self context structure: child)) execute]
			
		
		! !

!PRARemoveChildren methodsFor: 'events' stamp: 'dc 1/2/2006 21:52'!
doInitialize
	super doInitialize.
	childrenToRemove := OrderedCollection new! !
